Page MenuHomePhabricator

tests: conditionalize output in test-ssh.t with chg+py3
ClosedPublic

Authored by pulkit on Dec 2 2020, 1:08 PM.

Details

Summary

Because of our wrapping around sys.std* and python3 internal buffering, the
output order changes. The change in order seems like harmless because just few
lines above the same command is run which results in same output.

This makes test-ssh.t works with --chg on python 3.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 2 2020, 1:08 PM
Alphare accepted this revision.Dec 7 2020, 4:47 AM
Alphare added a subscriber: Alphare.

We'll see if that turns out to also be flaky. This is probably better.

mharbison72 accepted this revision.Dec 10 2020, 12:03 AM
This revision is now accepted and ready to land.Dec 10 2020, 12:03 AM
This revision was automatically updated to reflect the committed changes.